\pdfbookmark[1]{Introduction to Heavy-Flavour Tagging}{ftag-intro}
\chapter{Introduction to Heavy-flavour Tagging}\label{chap:ftag_intro}

Heavy-flavour identification, also called \textit{tagging}, plays an important role in particle physics analyses. Several interesting physics processes, such as the \tthbb process described in Part~\ref{part:analysis} or the $VH(\hbb,\,H\rightarrow c\bar{c})$ process~\cite{CERN-EP-2020-093,HIGG-2017-01}, have $b$- or $c$-quarks in their final state. Flavour tagging is a crucial tool to better select the signal and reject the background processes, and is therefore important for both searches and precision measurements.\\
Since quarks cannot occur as free particles, not the quarks itself are being tagged, but rather the colour neutral states, the $b$- and $c$-hadrons. A focus of this thesis is \btag in ATLAS and this chapter provides an overview of the techniques used in ATLAS.\\
The $b$-hadrons have a lifetime of around \unit[1.5]{ps}~\cite{PhysRevD.98.030001}, thus they decay only after 
%$L=\beta\gamma c\tau\approx\unit[2.5]{mm}$ 
\unit[2.5]{mm} when carrying a momentum of $\unit[30]{GeV}$. Moreover, $b$-hadrons have a relatively high mass of $\sim\unit[5]{GeV}$~\cite{PhysRevD.98.030001} as well as a high decay multiplicity of around an average of 5 stable, charged particles illustrated in Figure~\ref{fig:ftag:bctau}~(a) for $B^0$ hadrons. Another decay property is a relatively high semi-leptonic decay fraction. % of $\sim11\%$ per lepton generation~\cite{PhysRevD.98.030001}. 
Figure~\ref{fig:ftag:bctau}~(b) illustrates the \pt fraction a $b$-hadron carries inside a jet which is large, i.e. peaking around $70\%$. 
\begin{figure}[h]
    \centering
    \begin{minipage}[t]{0.49\textwidth}
    \includegraphics[width=1.\textwidth]{b-tagging/material_intro/fig_15a}
    \caption*{(a)}
    \end{minipage}
    \begin{minipage}[t]{0.49\textwidth}
    \includegraphics[width=1.\textwidth]{b-tagging/material_intro/fig_04b-2}
    \caption*{(b)}
    \end{minipage}
    \caption{(a) Decay multiplicity of the $b$-hadron $B^0$ into charged stable products compared for different \acs{mc} generators~\cite{ATL-PHYS-PUB-2014-008}. (b) Jet-fragmentation of the transverse momentum component of $b$-hadrons with unfolded data~\cite{ATLAS-CONF-2020-050}. \label{fig:ftag:bctau}}
\end{figure}
The typical anatomy of a \bjet{} looks then as depicted in Figure~\ref{fig:ftag:bjet} with a decay length~$L$ of the $b$-hadron indicated in the red dotted line ending in the secondary vertex where the hadron decays. If the $b$-hadron decays into a $c$-hadron, even a tertiary vertex is present in the jet. 
The displacement of the secondary vertex with respect to the primary vertex is given by the decay length and the displacement of a track with respect to the \acs{pv} is parametrised with \acfp{ip} denoted as $d_0$ in the figure. Typically, the tracks coming from $b$-hadron decays have large $d_0$ due to the long decay length and the large mass of the $b$-hadron.\\
The $c$-hadrons have similar properties as $b$-hadrons, but a shorter lifetime, a lower decay multiplicity and are lighter and thus $d_0$ is smaller, which results in similar but not identical jet topologies of $c$- and \bjet{}s, making it difficult to distinguish these two kinds of jets. Within the light-flavour jets, most of the tracks are originating directly from the quark fragmentation. This makes \bjet{}s in general well separable from light-flavour jets. Nevertheless, displaced vertices can also occur coming from long-lived particles, photon conversion, poorly measured tracks or detector material interactions.\\
\begin{figure}[h]
    \centering
    \includegraphics[width=0.6\textwidth]{material/b-jets}
    \caption{Schematic view of a $b$-jet (in blue) including a secondary and a tertiary vertex. In gray light jets.}
    \label{fig:ftag:bjet}
\end{figure}
All these $b$-hadron/jet properties are targeted by different baseline algorithms extracting different information for \btag. The schematic in Figure~\ref{fig:ftag:ATLAS-btag} shows the structure of  \btag in ATLAS during RUN II~\cite{ATL-PHYS-PUB-2017-013}. The baseline algorithms can be categorised in three categories: the \ac{ip} based algorithms IP2D/IP3D and RNNIP, the vertex-based algorithms SV1 and \acl{jf}, % which reconstructs the decay chain topology 
and the soft-muon-based tagger SMT.\\
The information that the baseline algorithms provide is then combined by the so-called \textit{high-level taggers} MV2 (based on \acsp{bdt}) and the deep learning-based tagger DL1 which will be studied in detail in Chapter~\ref{chap:ftag:dl1} - \ref{chap:ftag:outlook}.
The baseline algorithms are explained in more detail in the following, together with the description of the used variables for the high-level tagger \acs{dl1}. All plots will be shown for \pflow in \ttbar events if not differently stated. The \textit{Variable Radius Track jets} distributions will be summarised in the dedicated chapter.
\begin{figure}[h]
    \centering
    \includegraphics[width=1.\textwidth]{b-tagging/material_intro/b-tag_structure-ATLAS}
    \caption{Two level structure of the ATLAS heavy-flavour identification structured into baseline and high-level algorithms. The high-level algorithms combine the output of the baseline algorithms into a final discriminant.}
    \label{fig:ftag:ATLAS-btag}
\end{figure}



\section{Training Dataset}
All heavy-flavour taggers from RUN II were so far optimised for \emtopo as described in~\cite{ATL-PHYS-PUB-2017-013}.
The retraining and optimisation of the DL1 tagger is performed in the scope of this thesis for \pflow and \vrtrack.

\subsection{Jet Flavour Labelling} \label{sec:ftag:intro:flavourlabelling}
Since jets are clustered objects it is necessary to define a labelling scheme defining criteria when a jet is a \bjet{}, \cjet{} or light-flavour jet in the simulation. These so-called \textit{truth-labels}
% ,which are only possible on simulation-level, 
are retrieved iteratively by matching hadrons with a minimum \pt of \unit[5]{GeV} to the jets. A jet is denoted a \bjet{} if a $b$-hadron is within $\Delta R(\text{jet}, b\text{-hadron})<0.3$. In the next step, the $\Delta R$ matching is repeated for $c$-hadrons for the jets not labelled as \bjet{}s and afterwards for $\tau$-leptons. All remaining jets not classified as either $b$-, $c$- or $\tau$-jets are categorised as light-flavour jets which include besides the light-quarks also gluons.\\
In addition, there is also an extended labelling available, providing more information about double-$b$, double-$c$ and $bc$-categories.

\subsection{Modelling}\label{sec:ftag:modelling}
The algorithm studies are performed using \ttbar events generated with \powhegbox~v2~\cite{Nason:2004rx,Frixione:2007vw,Alioli:2010xd,Hartanto:2015uka,Frixione:2007nw} %\cite{Frederix:2012dh,Alioli:2009je,Re:2010bp} 
at next-to-leading-order with the  \nnpdfnlo \ac{pdf} and \hdamp=1.5~\mtop~\cite{ATL-PHYS-PUB-2016-020}. The hadronisation, \acs{mpi} and \ac{ps} settings are described in Section~\ref{sec:objects:mcsettings}.\\
% In addition, $Z'\rightarrow q\bar{q}$ samples are employed to cover a wider jet \pt-range, than \ttbar on its own, with reasonable statistics.  
The number of jets at high transverse momenta is small in \ttbar samples. To populate this phase space with sufficient statistics, $Z'\rightarrow b\bar{b}/c\bar{c}/q\bar{q}$ samples are employed.
The events are fully simulated with \pythia (A14 tune) and the leading-order \acs{pdf} set \nnpdftwo. To get a flat jet \pt distribution also throughout the high jet \pt spectrum, the mass of $Z'$ is varied and the natural width of the $Z'$ resonance has to be artificially widened using dedicated weighting factors on an event-by-event basis. Combined with a branching ratio of one third for each decay mode ($b\bar{b}$, $c\bar{c}$ and light-flavour quark pair) the jet \pt spectrum is equally flat and populated for the different quark classes at high transverse momenta (Fig.~\ref{fig:ftag:preprocess:ptall} shows this behaviour).\\
For both sample setups, the full detector simulation with \textsc{Geant}4 is used.

\subsection{Selection}
The selection of \pflow and \vrtrack is slightly different due to the different clustering procedure. Common for both jet collections is the $|\eta|<2.5$ requirement. For the \ttbar sample  lepton+jets and dileptonic events are taken into account (see Fig.~\ref{fig:ttbar-br}).

\subsubsection{\pflow}
The jets which are re-clustered with the particle flow algorithm using a radius parameter of $R=0.4$ are required to have a minimum jet \pt of $\unit[20]{GeV}$. For jets in the range of $\unit[20]{GeV}<\pt<\unit[60]{GeV}$ and $|\eta|<2.4$, an additional \ac{jvt}~\cite{ATLAS-CONF-2014-018} cut $\text{JVT}>0.5$ is applied for pile-up suppression. If the jet overlaps with an electron or muon which originates from a $W$-boson decay (this can only be identified at the generator level), it is removed.

\subsubsection{\vrtrack}
The jets clustered as \vrtrack need to satisfy $\pt>\unit[10]{GeV}$. Moreover, an additional overlap removal is applied, removing jets which coincide i.e. $\Delta R(\text{jet}_i,\text{jet}_j) < \min(R_{\text{jet}_i}, R_{\text{jet}_j})$.
% Track jets have no energy calibration: the jet energy is simply the sum of the constituent track momenta. The pT scale of VR track b-jets has been observed to be slightly different in data and MC. A conservative uncertainty has been derived in the b-jet calibration by reweighting the VR track-jet pT spectrum to match data and rerun the calibration analysis. The effect is found to be small, also thanks to the thin pT binning adopted for the calibration. Physics analysis applying b-tagging to VR track-jets are encouraged to check the data/MC pT agreement and derive a conservative approach to evaluate the impact of this mismodeling on their sensitivity.
% from https://twiki.cern.ch/twiki/bin/view/AtlasProtected/BTagTaggerRecommendationsRelease21

\section{Impact Parameter Algorithms}\label{sec:ftag:ip}
The \ac{ip} based algorithms are making use of the long decay path of the $b$-hadron which results in a displaced vertex. Therefore, the \ac{ip}, which is the point of closest approach of tracks from the $b$-hadron decay to the primary vertex, is larger than for tracks coming from the \acs{pv}. The \ac{ip} can be split into two components, the transverse part $d_0$ (sketched in Fig.~\ref{fig:ftag:bjet}) and the longitudinal part $z_0\sin\theta$. From these \ac{ip} variables, the lifetime signed significances $s_{d_0}=d_0/\sigma_{d_0}$ and $s_{z_0}={z_0\sin\theta}/\sigma_{z_0\sin\theta}$, shown in Figure~\ref{fig:ftag:intro:ipsig}, are calculated, corresponding to the \ac{ip} divided by its uncertainty. The sign is determined by extrapolating the track to the \acs{pv}. If the jet axis has to be extended from the \acs{pv} backwards to cross the track, or its projection, a negative sign is assigned otherwise it is positive. The tracks used in the \ac{ip} algorithms have to satisfy several track quality criteria. Tracks have to have $\pt^\text{track}>\unit[1]{GeV}$, the \acp{ip} have to fulfil $|d_0|<\unit[1]{mm}$ and $|z_0\sin\theta|<\unit[1.5]{mm}$. Additionally, a requirement on the number of hits in the silicon layers is demanded $N_\text{hits}^\text{Si}\geq7$ as well as an upper limit of silicon and pixel layer holes: $N_\text{holes}^\text{Si}\leq2$ and $N_\text{holes}^\text{pixel}\leq1$.

\begin{figure}[htbp]
  \centering
  %\includegraphics[trim=0 620 0 0,clip,width=\linewidth]{inputs_IPxformed}
  \subfloat[]{\includegraphics[width=0.5\textwidth]{b-tagging/material_intro/figures_sd0}}
  \subfloat[]{\includegraphics[width=0.5\textwidth]{b-tagging/material_intro/figures_sz0}}
  \caption{The signed \ac{ip} significances shown for light-, $c$- and $b$-jet tracks for (a) the transverse  and (b) the longitudinal component in \ttbar events~\cite{ATL-PHYS-PUB-2020-014}.}
  \label{fig:ftag:intro:ipsig}
\end{figure}


\subsection{IPxD}
The IPxD taggers~\cite{ATL-PHYS-PUB-2016-012} comprise two different algorithms: the IP2D which is only using the transverse \ac{ip} $d_0$ since it is less prone to pile-up and the IP3D making use of both the transverse and longitudinal \ac{ip} and their correlations. The track categorisation is based on pixel layer hit patterns defined by reference templates for $b$, $c$ and light assuming the tracks to be uncorrelated. The final discriminant is a \ac{llr} of probabilities of the tracks being $b$-, $c$- or light-flavour like defined on jet level
\begin{equation}
IPxD_{l,c,cl} =\sum_{i \in \text{tracks}} \log \left( \frac{p_{b,b,c}^i}{p_{l,c,l}^{i}} \right).%\qquad D_{\text{IP3D,c}} = \sum_{i \in \text{tracks}}\log \left( \frac{p_b^i}{p_c^{i}}\right).
% D_{\text{IP3D,l}} = \log \prod_{i \in \text{tracks}} \frac{p_b^i}{p_l^{i}} \qquad D_{\text{IP3D,c}} = \log \prod_{i \in \text{tracks}} \frac{p_b^i}{p_c^{i}}.
\end{equation}
The probability density functions to calculate $p_b$, $p_c$ and $p_l$ are extracted from reference histograms in \acs{mc} simulations. Table~\ref{tab:ftag:outputs:ipxd} summarises the six different output variables of the IPxD tagger and Figure~\ref{fig:ftag:outputs:ip3d} shows the variable distributions.


\begin{table}[h!]

    \centering
    \renewcommand{\arraystretch}{0.6}
    \begin{tabular}{lp{0.8\textwidth}l}
    \toprule
         \textbf{Variable} & \textbf{Description}  \\
         \toprule
         &  The \ac{llr} based on the lifetime signed \ac{ip} significance to separate:  \vspace{0.3cm} \\
         IPxD$_l$ & $b$- from light-flavour jets. %It is summed up by the per-track contributions. %For N tracks in a jet, this equals $\sum_{i=1}^N\log\frac{ p_b}{ p_\text{light-flavour}}$. 
         \vspace{0.3cm} \\
        
          IPxD$_c$ & $b$- from $c$-jets. \vspace{0.3cm} \\
         IPxD$_{cl}$ &  $c$- from light-flavour jets.\\
        \bottomrule
                   
    \end{tabular}
    \caption{IPxD output variables (x stands for 2 or 3).}% utilised for training the DL1 high level tagger.}
    \label{tab:ftag:outputs:ipxd}
\end{table}

\begin{figure}[htbp]
  \centering
  %\includegraphics[trim=0 620 0 0,clip,width=\linewidth]{inputs_IPxformed}
  \subfloat[]{\includegraphics[width=0.43\textwidth]{b-tagging/material_intro/variable_plots/IP2D_bu}}\hspace{0.3cm}
  \subfloat[]{\includegraphics[width=0.43\textwidth]{b-tagging/material_intro/variable_plots/IP2D_bc}}\\
  \subfloat[]{\includegraphics[width=0.43\textwidth]{b-tagging/material_intro/variable_plots/IP2D_cu}}\\
  %\includegraphics[trim=0 620 0 0,clip,width=\linewidth]{inputs_IPxformed}
  \subfloat[]{\includegraphics[width=0.43\textwidth]{b-tagging/material_intro/variable_plots/IP3D_bu}}\hspace{0.3cm}
  \subfloat[]{\includegraphics[width=0.43\textwidth]{b-tagging/material_intro/variable_plots/IP3D_bc}}\\
  \subfloat[]{\includegraphics[width=0.43\textwidth]{b-tagging/material_intro/variable_plots/IP3D_cu}}
  \caption{Distributions of the \ac{llr} variables from the IP2D (a)-(c) and the IP3D (d)-(f) algorithms. Variables are defined in Table~\ref{tab:ftag:outputs:ipxd}. Only jets where the algorithm succeeded are plotted.}
  \label{fig:ftag:outputs:ip3d}
\end{figure}


\subsection{RNNIP}
The second \ac{ip}-based tagger is the Recurrent Neural Network \ac{ip} tagger (RNNIP)~\cite{ATL-PHYS-PUB-2017-003}. It uses the same information as the IPxD algorithms requiring in addition at most one shared hit of multiple tracks. 
A recurrent neural network (RNN) can process input sequences of variable length which is important since jets contain different amounts of tracks. The input sequence to the RNNIP is ordered by the lifetime signed transverse \ac{ip} significance $s_{d_0}$. A so-called \textit{long term short term memory} (LSTM) network is employed which allows to preserve correlations between the tracks. This is an important difference compared to IPxD. The other difference is the ability of RNNIP to use hit information instead of the category embedding from IPxD. As shown in~\cite{ATL-PHYS-PUB-2017-003} it outperforms IPxD especially for decay topologies with higher decay multiplicities and longer decay distances.  The RNNIP tagger used for the DL1 training in this thesis (in Chapter~\ref{chap:ftag:dl1}--\ref{chap:ftag:dl1:vr}) is an optimised version of the  RNNIP in Ref.~\cite{ATL-PHYS-PUB-2017-003}. The optimisation was done separately for \pflow and \vrtrack. Due to its multi-class output, it provides three different probabilities per jet of being $b$-, $c$- or light-flavour like as shown in Table~\ref{tab:ftag:outputs:rnnip} and illustrated in the Figure~\ref{fig:ftag:outputs:rnnip}. The spikes in the RNNIP$_{p_{l}}$ (Fig.~\ref{fig:ftag:outputs:rnnip}~(a)) and RNNIP$_{p_{b}}$ distribution (Fig.~\ref{fig:ftag:outputs:rnnip}(c)) arise from jets without any tracks. The jets without tracks, which correspond more or less to empty vectors, are also passed through the RNNIP network and thus the spikes occur at these values ($\sim 0.2$ for $p_l$ and $\sim0.7$ for $p_b$) chosen by the network.\\
Furthermore, there is another tagger improvement made using a Deep Sets architecture resulting in the DIPS tagger~\cite{ATL-PHYS-PUB-2020-014}. This will be discussed again in more detail in Chapter~\ref{chap:ftag:outlook}.

\begin{table}[h!]

    \centering
    \renewcommand{\arraystretch}{0.6}
    \begin{tabular}{lp{0.83\textwidth}l}
    \toprule
         \textbf{Variable} & \textbf{Description}  \\
         \toprule
         &  The output nodes of the RNNIP tagger indicating the probability of the jet being a:  \vspace{0.2cm} \\
         RNNIP$_{p_{l}}$ & light-flavour jet. %It is summed up by the per-track contributions. %For N tracks in a jet, this equals $\sum_{i=1}^N\log\frac{ p_b}{ p_\text{light-flavour}}$. 
         \vspace{0.2cm} \\
        
          RNNIP$_{p_{c}}$ &  $b$-jet. \vspace{0.2cm} \\
         RNNIP$_{p_{b}}$ &  $c$-jet.\\
        \bottomrule
                   
    \end{tabular}
    \caption{RNNIP output variables.}% utilised for training the DL1 high level tagger.}
    \label{tab:ftag:outputs:rnnip}
\end{table}

\begin{figure}[h!]
  \centering
  %\includegraphics[trim=0 620 0 0,clip,width=\linewidth]{inputs_IPxformed}
  \subfloat[]{\includegraphics[width=0.43\textwidth]{b-tagging/material_intro/variable_plots/rnnip_pu}}\hspace{0.3cm}
  \subfloat[]{\includegraphics[width=0.43\textwidth]{b-tagging/material_intro/variable_plots/rnnip_pc}}\\
  \subfloat[]{\includegraphics[width=0.43\textwidth]{b-tagging/material_intro/variable_plots/rnnip_pb}}
  \caption{Output nodes of the RNNIP multi-class network representing the probabilities for the jets being (a) a light-flavour jet, (b) a \cjet{} and (c) a \bjet.}
  \label{fig:ftag:outputs:rnnip}
\end{figure}

\section{Displaced Vertex Reconstruction}\label{sec:ftag:displacexvertices}
It can be extracted from the \ac{ip} information if a displaced vertex is present in a jet. Nevertheless, it is important to know if it is a real vertex from a $b$- or $c$-hadron or originating from mis-reconstructed fragmentation tracks where light-flavour jets are faking \bjet{} topologies. It is also possible that tracks with low \acp{ip} can contribute to a displaced vertex. In ATLAS two different algorithms are used to identify these: the \ac{sv1}~\cite{ATL-PHYS-PUB-2017-011, ATL-PHYS-PUB-2016-012} and \textit{JetFitter}~\cite{Piacquadio_2008} a decay chain multi-vertex reconstruction algorithm.


\subsection{Secondary Vertex Algorithm}
%\cite{ATL-PHYS-PUB-2017-011, ATL-PHYS-PUB-2016-012}
The \ac{sv1} algorithm tries to reconstruct a single displaced vertex in a jet using tracks. Due to the finite tracking resolution in ATLAS, it is not always possible to resolve the full decay cascade of $b$- or $c$-hadrons in every jet. This also means that not all decay vertices can be extracted. Therefore, the reconstruction of only a single vertex, if possible, is a good approximation for \bjet{}s.\\
In the first reconstruction step, all two-track vertices are matched together rejecting those which are compatible with tracks coming from long-lived particles ($K_s$, $\Lambda$), photon conversions or hadronic interactions with the material of the detector. In the next step, the two-track vertices are combined to form the \ac{sv} while all tracks which are not consistent with the \ac{sv} are removed.\\
\begin{table}[h!]
    \centering
    \renewcommand{\arraystretch}{0.6}
    \begin{tabular}{lp{0.8\textwidth}l}
    \toprule
          \textbf{Variable} & \textbf{Description}  \\
         \toprule
         $N_\text{TrkAtVtx}^\text{SV1}$ & Number of tracks associated to the \ac{sv}. \vspace{0.3cm}\\
          $N_\text{2TrkVtx}^\text{SV1}$ & Number of reconstructed two-track vertices candidates within the jet. \vspace{0.3cm}\\
         $m_\text{inv}^\text{SV1}$ & Invariant mass of the \ac{sv} calculated from the associated tracks. \vspace{0.3cm}\\
         $f_\text{E}^\text{SV1}$ & Energy fraction of the \ac{sv} associated tracks with respect to all tracks of the jet.
         %$\sum^{N_\text{track,secondary vtx}}_{\text{track}_i=1}E_{\text{track}_i}/\sum^{N_\text{track,jet}}_{\text{track}_j=1}E_{\text{track}_j}$ with the numerator being the sum over the energy of all tracks $N_\text{track,secondary vtx}$ associated to the secondary vertex and the denumerator being the sum over the energy of all tracks $N_\text{track,jet}$ of the reconstructed jet.  
         \vspace{0.3cm}\\
         $\Delta R(\text{jet, SV})$ & $\Delta$R between the jet axis and the direction of the secondary vertex relative to the primary vertex.  \vspace{0.3cm}\\
         $L_\text{xy}^\text{SV1}$& Reconstructed \ac{sv} transverse decay length.   \vspace{0.3cm}\\
         $L_\text{xyz}^\text{SV1}$&  Reconstructed \ac{sv} decay length. \vspace{0.3cm}\\
         $S_\text{xyz}^\text{SV1}$ & Decay length significance, $L_\text{xyz}^\text{SV1}/\sigma_{L_\text{xyz}^\text{SV1}}$.\\
        \bottomrule
    \end{tabular}
    \caption{Overview of variables extracted from the \ac{sv} reconstructed with the \ac{sv1} algorithm.}
    \label{tab:ftag:outputs:sv1}
\end{table}


From the reconstructed \ac{sv}, several important properties can be extracted such as the vertex mass, the decay length and its significance or the number of associated tracks and two-track vertices as well as the $\Delta R$ between the jet and the \ac{sv}. All properties are summarised in Table~\ref{tab:ftag:outputs:sv1} and the corresponding distributions are shown in Figure~\ref{fig:ftag:outputs:SV1}.
\begin{figure}[htbp]
  \centering
  %\includegraphics[trim=0 620 0 0,clip,width=\linewidth]{inputs_IPxformed}
  \subfloat[]{\includegraphics[width=0.43\textwidth]{b-tagging/material_intro/variable_plots/SV1_masssvx}}\hspace{0.5cm}
  \subfloat[]{\includegraphics[width=0.43\textwidth]{b-tagging/material_intro/variable_plots/SV1_efracsvx}}\\
  \subfloat[]{\includegraphics[width=0.43\textwidth]{b-tagging/material_intro/variable_plots/SV1_N2Tpair}} \hspace{0.5cm}
  \subfloat[]{\includegraphics[width=0.43\textwidth]{b-tagging/material_intro/variable_plots/SV1_NGTinSvx}}\\
  \subfloat[]{\includegraphics[width=0.43\textwidth]{b-tagging/material_intro/variable_plots/SV1_deltaR}} \hspace{0.5cm}
  \subfloat[]{\includegraphics[width=0.43\textwidth]{b-tagging/material_intro/variable_plots/SV1_Lxy}}\\
   \subfloat[]{\includegraphics[width=0.43\textwidth]{b-tagging/material_intro/variable_plots/SV1_L3d}} \hspace{0.5cm}
  \subfloat[]{\includegraphics[width=0.43\textwidth]{b-tagging/material_intro/variable_plots/SV1_significance3d}}\\
  \caption{Variable distributions of the reconstructed \ac{sv} with \ac{sv1} as defined in Table~\ref{tab:ftag:outputs:sv1}. Only jets where the algorithm succeeded are plotted.}
  \label{fig:ftag:outputs:SV1}
\end{figure}


              
% Proceeding\cite{Heer:2287604}

\subsection{Decay chain multi-vertex reconstruction}
The second displaced vertex finder is \ac{jf}~\cite{Piacquadio_2008, ATL-PHYS-PUB-2017-013} which reconstructs the decay cascade topology of weakly decaying $b$- and $c$-hadrons. It assumes that the primary, secondary and tertiary vertices are aligned in one line, in the flight direction of the heavy-flavour hadron. This assumption helps to better cope with the finite detector resolution and also allows e.g. the reconstruction of single track vertices. After an initial track selection removing tracks associated with the \ac{pv}, the axis through the vertices is retrieved using a modified Kalman Filter~\cite{kalman1960}. The resulting topology is characterised by several variables listed in Table~\ref{tab:ftag:outputs:JF} and shown in Figure~\ref{fig:ftag:outputs:JF}.\\
\begin{table}[h!]
    \centering
    \renewcommand{\arraystretch}{0.6}
    \begin{tabular}{lp{0.8\textwidth}l}
    \toprule
        \textbf{Variable} & \textbf{Description}  \\
         \toprule
        $m_\text{inv}^\text{JF}$ & Invariant mass of tracks associated to one or more displaced vertices. \vspace{0.3cm}\\
        $f_\text{E}^\text{JF}$& Charged jet energy fraction in the secondary vertices. \vspace{0.3cm}\\
        $S_\text{xyz}^\text{JF}$& Decay length significance of the displaced vertex. \vspace{0.3cm}\\
        $N^\text{JF}_\text{1-trk vertices}$& Number of 1-track displaced vertices. \vspace{0.3cm}\\
        $N^\text{JF}_{\geq2\text{-trk vertices}}$& Number of vertices with more than one track. \vspace{0.3cm}\\
        $\Delta R^\text{JF}({\Vec{p}_\text{jet},\Vec{p}_\text{vtx}})$& $\Delta$R between the jet axis and the vectorial sum of all track momenta associated to displaced vertices. \vspace{0.3cm}\\
        $N^{\text{JF}}_\text{trks}$ & Number of tracks associated to \ac{sv}.\vspace{0.3cm}\\
        $N_\text{vertices}^\text{JF}$& Number of reconstructed displaced vertices.\\
        \bottomrule
    \end{tabular}
    \caption{\acl{jf} variable overview.}
      \label{tab:ftag:outputs:JF}
\end{table}


Additionally, special variables for the $c$-hadron identification are extracted using only the \acl{jf} vertex which is closest to the \ac{pv}. The variables, as shown in Table~\ref{tab:ftag:outputs:JFc} and Figure~\ref{fig:ftag:outputs:JFc}, are chosen such that they make use of the different topologies of $b$- and $c$-hadron decays. Typically, only a single \ac{sv} is present in a \cjet{} justifying the choice of only considering one \ac{sv} in the calculation of the variables. 
Moreover, $c$-hadrons have a lower decay multiplicity due to their lower mass and thus the average energy that a single decay product carries is larger compared to $b$-hadrons. Consequently, also the rapidity, as defined in Equation~\eqref{eq:theory:rapidity}, with respect to the jet axis is larger, visualised in Figure~\ref{fig:ftag:outputs:JFc}~(g)-(i).\\
Recently a new approach is being studied, using Graph Neural Networks~\cite{DBLP:journals/corr/abs-1812-08434} to identify the secondary vertex~\cite{Shlomi:2020ufi}, which is showing promising results.


\begin{figure}[htbp]
  \centering
  \subfloat[]{\includegraphics[width=0.43\textwidth]{b-tagging/material_intro/variable_plots/JetFitter_mass}}\hspace{0.5cm}
  \subfloat[]{\includegraphics[width=0.43\textwidth]{b-tagging/material_intro/variable_plots/JetFitter_energyFraction}}\\
  \subfloat[]{\includegraphics[width=0.43\textwidth]{b-tagging/material_intro/variable_plots/JetFitter_significance3d}} \hspace{0.5cm}
  \subfloat[]{\includegraphics[width=0.43\textwidth]{b-tagging/material_intro/variable_plots/JetFitter_nVTX}}\\
  \subfloat[]{\includegraphics[width=0.43\textwidth]{b-tagging/material_intro/variable_plots/JetFitter_nSingleTracks}} \hspace{0.5cm}
  \subfloat[]{\includegraphics[width=0.43\textwidth]{b-tagging/material_intro/variable_plots/JetFitter_nTracksAtVtx}}\\
   \subfloat[]{\includegraphics[width=0.43\textwidth]{b-tagging/material_intro/variable_plots/JetFitter_N2Tpair}} \hspace{0.5cm}
  \subfloat[]{\includegraphics[width=0.43\textwidth]{b-tagging/material_intro/variable_plots/JetFitter_deltaR}}\\
  \caption{\acl{jf} variable distributions with the variables from Table~\ref{tab:ftag:outputs:JF}. Only jets where the algorithm succeeded are plotted.}
  \label{fig:ftag:outputs:JF}
\end{figure}


\begin{table}[h!]
    \centering
    \renewcommand{\arraystretch}{0.6}
    \begin{tabular}{lp{0.55\textwidth}l}
    \toprule
        \textbf{Variable} & \textbf{Description}  \\
         \toprule
    $L_{xyz}^{\text{JF}_c}$ & Displacement of \ac{sv} from \ac{pv}.  \vspace{0.3cm}\\
    $L_{xy}^{\text{JF}_c}$ & Transverse displacement of \ac{sv} from \ac{pv}.  \vspace{0.3cm}\\
    $\min(Y^{\text{JF}_c}_\text{trk})$, $\max(Y^{\text{JF}_c}_\text{trk})$, $\text{avg}(Y^{\text{JF}_c}_\text{trk})$ &  Minimal, maximal and average rapidity of tracks within the jet. \vspace{0.3cm}\\
    $\min(Y^{\text{JF}_c}_\text{trk, SV})$, $\max(Y^{\text{JF}_c}_\text{trk, SV})$, $\text{avg}(Y^{\text{JF}_c}_\text{trk, SV})$ &  Minimal, maximal and average rapidity of \ac{sv} tracks. \vspace{0.3cm}\\
    $m_\text{inv}^{\text{JF}_c}$ & Invariant mass of tracks associated to \ac{sv}. \vspace{0.3cm}\\
    $E^{\text{JF}_c}$ & Energy of tracks associated to \ac{sv}. \vspace{0.3cm}\\
    $f_\text{E}^{\text{JF}_c}$& Charged jet energy fraction of \ac{sv} w.r.t all tracks in jet.\vspace{0.3cm}\\
    $N^{\text{JF}_c}_\text{trks}$ & Number of tracks associated to \ac{sv}.\\
        \bottomrule
    \end{tabular}
    \caption{Overview of the \acl{jf} variables optimised for $c$-jet identification~\cite{ATL-PHYS-PUB-2017-013}.}
      \label{tab:ftag:outputs:JFc}
\end{table}

\begin{figure}[htbp]
  \centering
  \subfloat[]{\includegraphics[width=0.3\textwidth]{b-tagging/material_intro/variable_plots/JetFitterSecondaryVertex_nTracks}}\hspace{0.3cm}
  \subfloat[]{\includegraphics[width=0.3\textwidth]{b-tagging/material_intro/variable_plots/JetFitterSecondaryVertex_mass}}\hspace{0.3cm}
  \subfloat[]{\includegraphics[width=0.3\textwidth]{b-tagging/material_intro/variable_plots/JetFitterSecondaryVertex_energy}} \\
  \subfloat[]{\includegraphics[width=0.3\textwidth]{b-tagging/material_intro/variable_plots/JetFitterSecondaryVertex_energyFraction}}\hspace{0.3cm}
  \subfloat[]{\includegraphics[width=0.3\textwidth]{b-tagging/material_intro/variable_plots/JetFitterSecondaryVertex_displacement3d}}\hspace{0.3cm}
  \subfloat[]{\includegraphics[width=0.3\textwidth]{b-tagging/material_intro/variable_plots/JetFitterSecondaryVertex_displacement2d}} \\
  \subfloat[]{\includegraphics[width=0.3\textwidth]{b-tagging/material_intro/variable_plots/JetFitterSecondaryVertex_maximumTrackRelativeEta}}\hspace{0.3cm}
  \subfloat[]{\includegraphics[width=0.3\textwidth]{b-tagging/material_intro/variable_plots/JetFitterSecondaryVertex_minimumTrackRelativeEta}}\hspace{0.3cm}
  \subfloat[]{\includegraphics[width=0.3\textwidth]{b-tagging/material_intro/variable_plots/JetFitterSecondaryVertex_averageTrackRelativeEta}} \\
  \subfloat[]{\includegraphics[width=0.3\textwidth]{b-tagging/material_intro/variable_plots/maximumTrackRelativeEta}}\hspace{0.3cm}
  \subfloat[]{\includegraphics[width=0.3\textwidth]{b-tagging/material_intro/variable_plots/minimumTrackRelativeEta}}\hspace{0.3cm}
  \subfloat[]{\includegraphics[width=0.3\textwidth]{b-tagging/material_intro/variable_plots/averageTrackRelativeEta}} \\
  \caption{Distributions of \acl{jf} variables optimised for $c$-identification as shown in Table~\ref{tab:ftag:outputs:JFc}. Only jets where the algorithm succeeded are plotted.}
  \label{fig:ftag:outputs:JFc}
\end{figure}


\FloatBarrier
\section{Soft Muon Tagger}\label{sec:ftag:smt}
As mentioned above, the $b$-hadrons have a large semi-leptonic decay branching ratio of $\mathcal{BR}(B\rightarrow \mu\nu X )\approx11\%$ and $\mathcal{BR}(B\rightarrow C \rightarrow \mu\nu X)\approx10\%$. The \ac{smt}~\cite{ATL-PHYS-PUB-2017-013,Sciandra:2287545} is designed to exploit the properties of the muons coming from heavy-flavour decays. The term \textit{soft} is used even though the muon typically carries a non-negligible \pt together with a large relative $\pt^\text{rel}$ with respect to the jet axis, but is soft compared to muons coming from electroweak boson decays. The usage of the tagger is, however, limited since it is only applicable for semi-leptonic decays and limited by the muon reconstruction and association to jets. Nonetheless, it is a useful supplement next to the \ac{ip} and \ac{sv} algorithms.\\
Originally a \acs{bdt} was used to combine several variables describing the muon topology~\cite{Sciandra:2287545}. These variables are listed in Table~\ref{tab:ftag:outputs:smt} and illustrated in Figure~\ref{fig:ftag:outputs:smtinput}. For the recommendations for \pflow and \vrtrack the $d_0$ of the soft muon was corrected so that its sign calculation also takes into account the jet axis. In addition, the \acs{bdt} was replaced by a \acl{nn} and the longitudinal \ac{ip} as well as the \ac{ip} significances of the soft muon were added in the training. The multi-class output of the \ac{nn} is summarised in Table~\ref{tab:ftag:outputs:smtnn} and shown in Figure~\ref{fig:ftag:outputs:smt}.


\begin{table}[htbp]
    \centering
    \renewcommand{\arraystretch}{0.6}
    \begin{tabular}{lp{0.8\textwidth}l}
    \toprule
        \textbf{Variable} & \textbf{Description}  \\
         \toprule
    $\Delta R(\mu,\text{jet})$ &  $\Delta R$ between the soft muon and the jet \vspace{0.3cm}\\
    $\pt^\text{rel}$ & Transverse momentum of muon relative to the jet axis.  \vspace{0.3cm}\\
    $\mathcal{S}$ & scattering neighbour significance  \vspace{0.3cm}\\
    $\mathcal{M} $ &  momentum imbalance significance \vspace{0.3cm}\\
    $\mathcal{R}$ &  charge-to-momentum double ratio of \acs{id} and \acs{ms} \vspace{0.3cm}\\
    $d_0(\mu)$ & transvere soft muon impact parameter  \vspace{0.3cm}\\
    $z_0|\sin\theta| (\mu)$ & longitudinal soft muon impact parameter  \vspace{0.3cm}\\
    $s_{d_0} (\mu)$ &  significance of transvere soft muon impact parameter \vspace{0.3cm}\\
    $s_{z_0} (\mu)$ &  significance of longitudinal soft muon impact parameter \\
    
        \bottomrule
    \end{tabular}
    \caption{Overview of \ac{smt} variables describing the soft muon topology.}
      \label{tab:ftag:outputs:smt}
\end{table}


\begin{figure}[htbp]
  \centering
  \subfloat[]{\includegraphics[width=0.3\textwidth]{b-tagging/material_intro/variable_plots/softMuon_dR}}\hspace{0.3cm}
  \subfloat[]{\includegraphics[width=0.3\textwidth]{b-tagging/material_intro/variable_plots/softMuon_qOverPratio}}\hspace{0.3cm}
  \subfloat[]{\includegraphics[width=0.3\textwidth]{b-tagging/material_intro/variable_plots/softMuon_momentumBalanceSignificance}} \\
  \subfloat[]{\includegraphics[width=0.3\textwidth]{b-tagging/material_intro/variable_plots/softMuon_scatteringNeighbourSignificance}}\hspace{0.3cm}
  \subfloat[]{\includegraphics[width=0.3\textwidth]{b-tagging/material_intro/variable_plots/softMuon_pTrel}}\hspace{0.3cm}
  \subfloat[]{\includegraphics[width=0.3\textwidth]{b-tagging/material_intro/variable_plots/softMuon_ip3dD0}} \\
  \subfloat[]{\includegraphics[width=0.3\textwidth]{b-tagging/material_intro/variable_plots/softMuon_ip3dZ0}}\hspace{0.3cm}
  \subfloat[]{\includegraphics[width=0.3\textwidth]{b-tagging/material_intro/variable_plots/softMuon_ip3dD0Significance}}\hspace{0.3cm}
  \subfloat[]{\includegraphics[width=0.3\textwidth]{b-tagging/material_intro/variable_plots/softMuon_ip3dZ0Significance}} 
   \caption{\ac{smt} input variable distributions as defined in Table~\ref{tab:ftag:outputs:smt}. Only jets where the algorithm succeeded are shown.}
  \label{fig:ftag:outputs:smtinput}
\end{figure}


\begin{table}[htbp]

    \centering
    \renewcommand{\arraystretch}{0.6}
    \begin{tabular}{lp{0.83\textwidth}l}
    \toprule
         \textbf{Variable} & \textbf{Description}  \\
         \toprule
         &  Output nodes of the SMT \acs{nn} tagger indicating the probability of the jet being a:  \vspace{0.3cm} \\
         SMT$_{p_{l}}$ & light-flavour jet. %It is summed up by the per-track contributions. %For N tracks in a jet, this equals $\sum_{i=1}^N\log\frac{ p_b}{ p_\text{light-flavour}}$. 
         \vspace{0.3cm} \\
        
          SMT$_{p_{c}}$ &  $b$-jet. \vspace{0.3cm} \\
         SMT$_{p_{b}}$ &  $c$-jet.\\
        \bottomrule
                   
    \end{tabular}
    \caption{\ac{smt} \acs{nn} output variable distributions. Only jets where the algorithm succeeded are shown.}% utilised for training the DL1 high level tagger.}
    \label{tab:ftag:outputs:smtnn}
\end{table}


\begin{figure}[htbp]
  \centering
  %\includegraphics[trim=0 620 0 0,clip,width=\linewidth]{inputs_IPxformed}
  \subfloat[]{\includegraphics[width=0.43\textwidth]{b-tagging/material_intro/variable_plots/softMuon_pu}}\hspace{0.3cm}
  \subfloat[]{\includegraphics[width=0.43\textwidth]{b-tagging/material_intro/variable_plots/softMuon_pc}}\\
  \subfloat[]{\includegraphics[width=0.43\textwidth]{b-tagging/material_intro/variable_plots/softMuon_pb}}
  \caption{Output nodes of the SMT multi-class network representing the probabilities for the jets being (a) a light-flavour jet, (b) a \cjet{} and (c) a \bjet.}
  \label{fig:ftag:outputs:smt}
\end{figure}


\newpage
\section{High-Level Taggers}

The baseline taggers described in sections \ref{sec:ftag:ip} -- \ref{sec:ftag:smt} are only optimised for specific $b$-hadron decay properties. In order to combine this information into a single powerful discriminant, so-called \textit{high-level taggers} are designed. As indicated in the schematic \ref{fig:ftag:ATLAS-btag}, two different high-level taggers are employed in ATLAS: the \acs{bdt} based tagger MV2 and the \acf{dl1}.\\
The MV2 tagger will be briefly described in Section~\ref{sec:ftag:mv2} and will be employed in the analysis of the \tthbb process in Part~\ref{part:analysis}. The \ac{dl1} tagger will be studied in full detail in the following chapters.


\subsection{Working points}\label{sec:ftag:intro:wps}
Ideally, the full spectrum of the final \btag discriminant would be calibrated and used in the physics analyses. This continuous calibration would require a separate calibration in very fine efficiency bins leading to an immense complexity and necessary workload which is not feasible to do in the required time scales in ATLAS. Therefore, four different \btag \acfp{wp}
% \footnote{In some cases working points are also denoted as operating points (OP).} 
are defined covering various needs of the physics analyses. 
The efficiency of a specific flavour $j$ ($b$, $c$ or light) is defined as
\begin{equation}
    \varepsilon^j = \frac{N_\text{pass}^j(\mathcal{D}>T_f)}{N_\text{total}^j},
\end{equation}
where $N_\text{pass}^j(\mathcal{D}>T_f)$ are the number of jets of flavour $j$ passing the cut $T_f$ on the tagger discriminant $\mathcal{D}$ and $N_\text{total}^j$ are all jets of flavour $j$ before the cut. The \acp{wp} are defined based on the \bjet efficiency $\varepsilon^{\bjet}$ evaluated on a \ttbar sample. % and realised via a single cut $T_f$ on the tagger discriminant $\mathcal{D}$. 
The \acp{wp} used in ATLAS are listed in Table~\ref{tab:ftag:wps}.
\begin{table}[h]
\parbox{.45\linewidth}{
\centering
\begin{tabular}{ll}
\toprule
\textbf{Description}  & \textbf{\bjet efficiency}\\
\toprule
         loose & $85\%$\\
 medium   & $77\%$\\
 tight  & $70\%$\\
 very tight & $60\%$\\
        \bottomrule
\end{tabular}
\caption{Summary of the single cut \acp{wp} for \btag in ATLAS.}
\label{tab:ftag:wps}
}
\hfill
\parbox{.45\linewidth}{
\centering
\begin{tabular}{ll}
\toprule
\textbf{\bjet efficiency} & \textbf{tag score}  \\
\toprule
         $[85,100]\%$ & 1\\
         $[77,85]\%$ & 2\\
         $[70,77]\%$ & 3\\
         $[60,70]\%$ & 4\\
         $[0,60]\%$ & 5\\
        \bottomrule
\end{tabular}
\caption{Pseudo-continuous \ac{wp} in ATLAS with the corresponding tag score.}
\label{tab:ftag:wpspc}
}
\end{table}
Each \ac{wp} is characterised besides the \bjet efficiency by its $c$- and light-flavour jet rejection which is the inverse of the efficiency $\varepsilon^{c,\text{light}}$. The misidentification improves with lower signal efficiency and thus rejects more background with a trade-off against lower signal statistics.\\
Every jet passing the criteria of a \ac{wp} is then defined as a \bjet{} in physics analyses. Additionally, a pseudo-continuous \ac{wp} is defined with five tag score bins. The tag scores are retrieved based on the single cut \acp{wp} listed in Table~\ref{tab:ftag:wpspc}. The tag score indicates which \btag \ac{wp} a jet passes.  Most of the $c$- and light-flavour jets end up in the first bin $[85,100]\%$ which is equivalent to not passing any \btag \ac{wp}, while the last bin $[0,60]\%$ mainly contains \bjet{}s which corresponds to passing the tightest (60\%) \ac{wp}. The pseudo-continuous \btag \ac{wp} provides important additional information compared to the single cut \acp{wp}. It is a kind of an indicator of the quality of the \bjet, which is especially useful for multivariate (\acl{ml}) methods. The \btag requirement can be loosened and by providing the pseudo-continuous tag score as an additional input, the information is retained while gaining more statistics.\\
% In general, the \acp{wp} are retrieved from simulated \ttbar events.



\subsection{MV2}\label{sec:ftag:mv2}
The baseline MV2 algorithm, which used to be the recommended tagger for \emtopo for RUN~II analyses, uses 24 variables as input for the \acs{bdt} training. 
These 24 variables comprise kinematic information \pt and $|\eta|$ as well as the output of the  baseline taggers IPxD, \ac{sv1} and  \acl{jf}. Figure~\ref{fig:ftag:mv2} shows the performance overview of MV2, DL1 and their baseline taggers in terms of the background ($c$- and light-flavour jets) rejection as a function of the \mbox{\bjet efficiency}.
\begin{figure}[htbp]
  \centering
  %\includegraphics[trim=0 620 0 0,clip,width=\linewidth]{inputs_IPxformed}
  \subfloat[]{\includegraphics[width=0.45\textwidth]{b-tagging/material_intro/fig_02}}\hspace{0.3cm}
  \subfloat[]{\includegraphics[width=0.45\textwidth]{b-tagging/material_intro/fig_01}}\\
  \caption{Comparison of \btag algorithms optimised and evaluated on \emtopo. Plot (a) shows the \cjet{} rejection and (b) the light-flavour jet rejection. The baseline taggers IP3D, \ac{sv1} and \acl{jf} are shown as well as the two high-level taggers MV2 and \ac{dl1} compared in the ratio in the lower pads w.r.t MV2~\cite{FTAG-2018-01}.}
  \label{fig:ftag:mv2}
\end{figure}
The training of MV2 was performed with a so-called \textit{hybrid sample} which is a mixture of a \ttbar and $Z'$ events to cover a large \pt spectrum. The \acs{bdt} uses \bjet{}s as signal class and $c$- and light-flavour jets as one background class. To balance the $c$ versus light-flavour performance, a $c$-jet fraction of $7\%$ and a light-flavour jet fraction of $93\%$ was found to be best at least for a wide range of analyses. This tagger is called MV2c10.\\
In addition, different sets of input variables were studied adding RNNIP or SMT information. Furthermore, a dedicated $c$-tagger is constructed with the \acl{jf} $c$-variables and $c$-jets as signal class in the training.



\section{Calibration and Monte Carlo Corrections}\label{sec:ftag:intro:calib}
The heavy-flavour tagging algorithms are optimised on \acs{mc} simulation. Ideally, data and \acs{mc} would show consistent flavour efficiencies. However, the simulation typically deviates from data due to detector and modelling effects, and correction factors (scale factors) need to be retrieved including their uncertainties. The calibration is realised for the four single cut \acp{wp} in Table~\ref{tab:ftag:wps} as well as for the pseudo-continuous tag scores~\cite{ATLAS-CONF-2018-055,ATLAS-CONF-2018-045,ATLAS-CONF-2018-006,ATLAS-CONF-2018-001}.\\
The scale factors
\begin{equation}
    \kappa^j_\text{data-MC}=\frac{\varepsilon^j_\text{data}}{\varepsilon^j_\text{MC}},
\end{equation}
are measured for all three flavours $j$. These scale factors are provided per jet and they are then combined to get a \btag weight defined on event level which can be used in the physics analyses. For $b$-jets the \bjet efficiency is calibrated while for $c$- and light-flavour jets the mistag rate is calibrated. All three calibrations are performed independently in data samples which are enriched in the specific jet flavour. The \bjet efficiency is determined on dileptonic \ttbar events~\cite{FTAG-2018-01} while for the calibration of the \cjets mis-tag rate lepton+jets \ttbar events are employed, investigating the hadronic $W$-boson decays to \cjets~\cite{ATLAS-CONF-2018-001}.\\
If a tagger performs very well and the light-flavour rejection is too high, it is not possible to calibrate the light-flavour mistag rate without large uncertainties on the scale factor due to unavoidable heavy-flavour contamination of the light-flavour sample. To overcome this, so-called \textit{flipped taggers} are investigated. The goal is to have a flipped tagger which has a much smaller \bjet efficiency with an unchanged light-flavour mistag rate. So, the flipped tagger can be calibrated and the scale factors then propagated to the non-flipped tagger. The flipping itself is realised by inverting the sign of the $s_{d_0}$ variable (see Fig.~\ref{fig:ftag:intro:ipsig}). This \textit{negative-tag method} is described in more detail in Ref.~\cite{ATLAS-CONF-2018-006} using $Z$+jets events.\\



In addition to the data to \acs{mc} calibrations, differences between different \acs{mc} generators also have to be corrected for~\cite{ATL-PHYS-PUB-2020-009}. The \acs{mc} to \acs{mc} scale factors $\kappa_\text{MC-MC}$ are calculated as a function of the jet \pt. They can be retrieved comparing the nominal \ac{mc} generator (\powhegbox + \pythia) with the alternative generator
\begin{equation}
    \kappa_\text{alternative}(\pt)=\frac{\varepsilon_\text{data}(\pt)}{\varepsilon_\text{nominal MC}(\pt)}\frac{\varepsilon_\text{nominal MC}(\pt)}{\varepsilon_\text{alternative MC}(\pt)} = \frac{\kappa_\text{data-MC}(\pt)}{\kappa_\text{MC-MC}(\pt)}.
\end{equation}